package org.autochthonous.graphics.rt;

public interface Traceable
    extends Cloneable
{
    public boolean isIntersected(Ray r);

    public HitList intersections(Ray r);

    public boolean isShadowing(Ray r);

    public Object clone()
        throws CloneNotSupportedException;
}
